> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/game/game.setleaderboardscore.md).

# Game.setLeaderboardScore

> Functional API `submitGameCenterLeaderBoardScore`You can use the same functionality with it as well.

### Feature description

Submit the user's game score to the Toss Game Center leaderboard. `score`must be passed as a string representing a floating-point number. For example `"123.45"` or `"9999"`It is.

Toss app Android/iOS `5.221.0` It can be used on versions above. In environments where bridge responses cannot be received, `undefined`may be returned.

### Type

```ts
Game.setLeaderboardScore(params: { score: string }): Promise<SubmitGameCenterLeaderBoardScoreResponse | undefined>;
```

**Params**

```ts
{
  score: string;
}
```

**Response**

```ts
type SubmitGameCenterLeaderBoardScoreResponse = {
  statusCode:
    | "SUCCESS"
    | "LEADERBOARD_NOT_FOUND"
    | "PROFILE_NOT_FOUND"
    | "UNPARSABLE_SCORE";
};
```

Response `statusCode` Value:

| statusCode              | Description                                                              |
| ----------------------- | ------------------------------------------------------------------------ |
| `SUCCESS`               | Score submission succeeded                                               |
| `LEADERBOARD_NOT_FOUND` | Could not find the leaderboard                                           |
| `PROFILE_NOT_FOUND`     | The user's profile is missing                                            |
| `UNPARSABLE_SCORE`      | Unable to parse the score. It must be passed as a string in float format |

### Example code

```js
import { Game } from "@apps-in-toss/web-framework";

const button = document.querySelector("#submit-score");

button.addEventListener("click", async () => {
  try {
    const result = await Game.setLeaderboardScore({ score: "123.45" });

    if (result?.statusCode === "SUCCESS") {
      console.log("Score submission succeeded!");
    } else {
      console.error("Score submission failed:", result?.statusCode);
    }
  } catch (error) {
    console.error(error);
  }
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/game/game.setleaderboardscore.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
